Why won’t the Hazard Perception video play?

If you are using Internet Explorer, or a browser that does not support HTML5, the training requires the most recent version of Adobe Flash Player in order for the courseware to load properly. Please use the following instructions to download the most recent version:

  1. Open a new Internet Explorer window.
  2. In the address bar, enter https://get.adobe.com/flashplayer/
  3. You will be asked to Run or Save the file. Choose Save and save it to your Desktop.
  4. Once the download is complete, close Internet Explorer and go to your Desktop. Double-click on the file you just downloaded.
  5. Select Run and follow the on-screen instructions to complete the installation.

If you follow these steps and it fails to download you might not have administrative rights on your computer. You will need to have your IT department install Adobe Flash Player.

Have more questions? Submit a request
Powered by Zendesk